LIGHTS(1)

NAME
lights - DNSSEC-Tools Rollover Overview GUI Display

SYNOPSIS
  lights [options]

DESCRIPTION
lights gives a very simple overview of the rollover status of a set of zones. The rollover status counts are given in a "traffic light" display. In contrast, blinkenlights gives a detailed display of the roll status of a set of zones. lights gives very little control over rollerd, the way blinkenlights does. lights can halt rollerd's execution only.

The rollover status is retrieved in one of two ways. By default, rollerd is contacted via the rollctl command. Alternately, if the -rrf option is given, then zone status is read directly from a rollrec file. The default method gets the status directly from rollerd and the user need not know the location of the relevant rollrec file. However, that method will not get zone status until rollerd is available to respond to the information request. Consequently, the alternate method allows lights to bypass communicating with rollerd and not having to wait for rollerd to be available.

A window is created that has three colored sections - green, yellow, and red. The green section displays a count of those zones that are in "normal" status; that is, they are not in rollover. The yellow section displays a count of those zones that are in rollover. The red section displays a count of those zones that are in need of attention. A common cause for this last state is because a zone is in phase 5 of KSK rollover and is waiting for its parent zone to publish the child's new DS record.

Clicking on the color rows in the main window will bring up a dialog box that lists the zones in that state. This list will not automatically update as zones change rollover state.

OPTIONS
lights supports the following options.

-interval wait-time
    Interval between checks of zone rollover status By default, wait-time is given in minutes. This can be adjusted by specifying one of the following time-unit suffixes.

    * s - seconds

    * m - minutes

    * h - hours

    Examples:

    * -interval 24 - 24 minutes

    * -interval 24s - 24 seconds

    * -interval 24m - 24 minutes

    * -interval 24h - 24 hours

-rrf rollrec-file
    A rollrec file to be read for zone status.

-labels
    Labels will be given for each color field in the GUI.

-verbose
    Give verbose output.

-help
    Give a usage message and exit.

-Version
    Displays the version information for lights and the DNSSEC-Tools package.

REQUIREMENTS
lights is implemented in Perl/Tk, so both Perl and Perl/Tk must be installed on your system.

KNOWN ISSUES
The following are known issues. These will be resolved in the fullness of time.

•   Resizing the window leaves the color blobs in their original size. This is an issue with the Tk widget used to display the color stripes. Other display methods are being investigated...

COPYRIGHT
Copyright 2010-2014 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHOR
Wayne Morrison, tewok@tislabs.com

SEE ALSO
blinkenlights(8), bubbles(8), rollerd(8), rollrec(5)